Bug 75594 - Logitech USB Optical mouse not detected on install but correctly at first boot by Kudzu.
Logitech USB Optical mouse not detected on install but correctly at first boo...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-09 21:16 EDT by Gilbert Fernandes
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilbert Fernandes 2002-10-09 21:16:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
The mouse is not detected by Anaconda. Generic mouse has to be choosed, and on
firt reboot the mouse will be detected correctly by Kudzu. Minor bug probably
related to the USB of the machine which is recent (Shuttle SS51G)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get a Shuttle SS51G ;-)
2.Boot no first CD with an USB Logitech mouse plugged
3. Anaconda safys no mouse

If the mouse is plugged with a PS/2 adapter it sees it.
	

Actual Results:  Once Kudzu configures the mouse it works very fine.

Expected Results:  USB does not seem te be detected by boot kernel. Perhaps
because thi machine uses an USB2.

Additional info:

Shuttle SS51G. 2.6 GHz, 512 Mb DDR 333
Last BIOS update applied.
USB active on BIOS.
Logitech optical mouse, product says: "Logitech mouse, wheel mouse. Model
M-BJ58. S/N: 830525-0000. Kudzu says: "Logitech Optical Mouse USB-PS/2"
Comment 1 Jeremy Katz 2002-10-14 11:03:06 EDT
We should also have the USB2 module present when booting from CD, but that
shouldn't matter for the usb mouse case.

Arjan -- do you know of any reason why usb wouldn't work on this machine in the
BOOT kernel?
Comment 2 Gilbert Fernandes 2002-10-14 11:14:36 EDT
I do not know exactly why the USB is not working with the BOOT kernel.
The Shuttle SS51G is an USB 2 machine, so if your BOOT kernel only supports
1.1 USB then it won't work. When booting under Red Hat Linux 8.0 the mouse
"blinks" as I see the optical diode flashing while Anaconda runs, but it
remains turned off and then Anaconda says there is no mouse. The USB seems off
once the BOOT kernel loaded.
Comment 3 Don Russell 2003-10-12 23:34:50 EDT
Adding myself to the bug cc: list.
My Logitech USB optical wheel mouse is not detected properly either....
Comment 4 Hari Venkata Krishna Rao 2004-03-03 11:13:58 EST
Hi,
My Benq optical USB mouse is also not detected.Is there any way to 
circumvent this problem?.
Comment 5 Bugzilla owner 2004-09-30 11:40:02 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.